<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmAddCustomRefs Interface
See Also Members Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : IEdmAddCustomRefs Interface

Visual Basic
C#
C++/CLI

Allows you to create or manage user-defined file references.

NOTE: Click the Members link, located near the top of the topic, to see this interface's methods and properties.

# Syntax

Visual Basic |
--- | ---

    Public Interface IEdmAddCustomRefs

C# |
--- | ---

    public interface IEdmAddCustomRefs

C++/CLI |
--- | ---

    public interface class IEdmAddCustomRefs

# Example

Add Custom File Reference (VB.NET)
Add Custom File Reference (C#)

# Remarks

This interface:

- inherits from IDispatch. See IDispatch Interface (Automation).
- is extended by IEdmAddCustomRefs2.

To manage existing references:

1. Create IEdmAddCustomRefs using IEdmVault7::CreateUtility.
2. Call IEdmAddCustomRefs::ShowEditReferencesDlg to display the existing file references.

To create new references:

1. Create IEdmAddCustomRefs using IEdmVault7::CreateUtility.
2. Call IEdmAddCustomRefs::AddReferencesClipboard, IEdmAddCustomRefs::AddReferencesID, or IEdmAddCustomRefs::AddReferencesPath to add file references.
3. (Optional) Call IEdmAddCustomRefs::CreateTree and IEdmAddCustomRefs::ShowDlg to display the file references.
4. Call IEdmAddCustomRefs::CreateReferences to create the new references.

# Accessors

IEdmVault7::CreateUtility

# See Also

####

IEdmAddCustomRefs Members
EPDM.Interop.epdm Namespace